Bug 161552 - 'Disabling IRQ #10' results in jumpy USB mouse
'Disabling IRQ #10' results in jumpy USB mouse
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-24 05:06 EDT by Oliver Beckstein
Modified: 2015-01-04 17:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:15:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel message when disabling irq 10; mouse becomes jumpy afterwards (976 bytes, text/plain)
2005-06-24 05:14 EDT, Oliver Beckstein
no flags Details

  None (edit)
Description Oliver Beckstein 2005-06-24 05:06:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
After some period of inactivity, the kernel reports 'irq 10: nobody cared!', a trace (attached), and 'Disabling IRQ #10'. This results in the USB mouse (Logitech optical wheel mouse) being very jumpy, ie large delays and imprecise movements (with F/C 3 2.6.11 vanilla kernels the mouse completely stopped).

The problem goes away if I reload the uhci_hcd module (as suggested in bug 157146): rmmod uhci_hcd; modprobe uhci_hcd

Version-Release number of selected component (if applicable):
kernel-smp-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot
2. login (X)
3. wait until kernel disables IRQ 10
  

Actual Results:  The USB mouse becomes jumpy.

Expected Results:  The mouse should have been as responsive as it was on bootup (I don't know if the kernel is supposed to jettison IRQ 10).

Additional info:

Hardware: P III system (VIA VT8633 [Apollo Pro266]) with NVidia Quadro graphics card (and nvidia driver), extra USB 2.0 card (00:0a.2 USB Controller: NEC Corporation USB 2.0 (rev 04)), Creative Labs SB Live! sound card.

Perhaps this is a duplicate of Bug 157146 but this happens to me always in normal operation; and the machine is not supposed to ever go into suspend or sleep mode (as is the case for the aforementioned bug).
Comment 1 Oliver Beckstein 2005-06-24 05:14:18 EDT
Created attachment 115918 [details]
Kernel message when disabling irq 10; mouse becomes jumpy afterwards

Whenevere IRQ 10 is disabled the kernel message looks like the attached. On
some occasions, IRQ 11 is disabled with different numbers in the [<c...>]
fields.
Comment 2 Yovko Lambrev 2005-06-28 14:43:15 EDT
Well, this is a part of my problem decribed here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=160958
Comment 3 Oliver Beckstein 2005-07-03 11:31:12 EDT
The behaviour mentioned above happens at ~ 1 Minute intervals when
reading/writing to a USB hard drive, which is attached to the USB 2.0 adaptor card.
Comment 4 Dave Jones 2005-07-15 17:50:39 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 5 Oliver Beckstein 2005-07-26 06:22:34 EDT
The bug persists as described with the new 2.6.12-1.1398_FC4smp kernel.
Comment 6 Dave Jones 2005-09-30 03:23:29 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 7 Dave Jones 2005-11-10 16:59:04 EST
Mass update to all FC4 bugs:

An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Comment 8 Dave Jones 2006-02-03 02:31:37 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 John Thacker 2006-05-04 21:15:32 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.